<ng-container *transloco="let t; read: 'moderate_forms'">
  <h2
    mat-dialog-title
    class="primary-title">
    {{t('user_roles')}}
  </h2>
  <form
    [formGroup]="rolesForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color column-container">
      <section formArrayName="roles">
        <div class="row-container">
          <mat-checkbox
            color="primary"
            *ngFor="let role of USER_ROLES_SELECTION; index as i"
            [formControlName]="i">
            {{'roles.'+role|transloco}}
          </mat-checkbox>
        </div>
      </section>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="rolesForm.invalid">
        {{t('confirm')}}
      </button>
    </div>
  </form>
</ng-container>
